1. 22 Feb, 2019 1 commit
  2. 31 Jan, 2019 1 commit
    • Christopher Davis's avatar
      weather: Unify App ID · 9f7f5a68
      Christopher Davis authored
      The app ID was a mix of `org.gnome.Weather` and `org.gnome.Weather.Application` used differently in different
      spots.
      
      This simplifies it to only using `org.gnome.Weather`
      9f7f5a68
  3. 27 Jan, 2019 3 commits
  4. 14 Apr, 2015 1 commit
    • Giovanni Campagna's avatar
      Update git.mk · 6edd2948
      Giovanni Campagna authored
      And fix distcheck by only -including git.mk
      (so that Automake does not pull it into the tarball and it is
      not run outside git)
      6edd2948
  5. 28 Feb, 2014 1 commit
  6. 25 Feb, 2014 1 commit
  7. 04 Feb, 2014 1 commit
    • Giovanni Campagna's avatar
      Build infrastructure: just give up · 1cf714de
      Giovanni Campagna authored
      I say it now, I give up. I tried everything to get a reasonable
      environment for working with DBus activated apps, and the requirements
      are always contrasting.
      So I completely decoupled package.js from service/launcher. The
      launcher is simply a shell script that execs the gapplication
      tool from glib (much like the desktop file was already doing),
      and the actual application is no longer a service. If you want it
      to behave like one, you pass --gapplication-service (which is
      a special flag interpreted by glib, we can't do local command
      line handling in gjs).
      This is pretty much the same as gnome-software does, except
      the application is still namespaced and installed in libdir,
      and the file in $bindir is a shim launcher.
      Tests pass and so does coverage. The application can be launched
      from the shell (nothing changes in that respect, because it
      happens through DBus), and it can be launched from the
      command line.
      
      Only regression: gnome-weather --help and gnome-weather --version
      no longer do what you would expect. Too bad. --help was useless
      anyway, the only option in the list was --version, and we
      have an about dialog (plus you should use package version, not
      upstream version)
      1cf714de
  8. 03 Feb, 2014 4 commits